Opened 10 months ago

Last modified 10 months ago

#59845 assigned defect

qgis @2.18.17 build failure

Reported by: M-Rick Owned by: Veence (Vincent)
Priority: Normal Milestone:
Component: ports Version: 2.6.2
Keywords: Cc:
Port: qgis

Description

I tried to build QGIS2 on Mojave, but I still get the same error.

These are my installed ports

autoconf @2.69_5 (active)
  automake @1.16.1_1 (active)
  bash @5.0.11_0 (active)
  bash-completion @2.9_0 (active)
  bison @3.4.2_0 (active)
  bison-runtime @3.4.2_0 (active)
  boost @1.71.0_1+no_single+no_static+python27 (active)
  botan @2.10.0_1 (active)
  bzip2 @1.0.8_0 (active)
  cairo @1.16.0_0+quartz+x11 (active)
  charls @2.0.0_1 (active)
  cmake @3.16.1_0 (active)
  curl @7.67.0_0+ssl (active)
  curl-ca-bundle @7.67.0_2 (active)
  cython_select @0.1_1 (active)
  db48 @4.8.30_4 (active)
  dbus @1.12.16_0 (active)
  dbus-glib @0.110_0 (active)
  dbus-python27 @1.2.8_0 (active)
  expat @2.2.9_0 (active)
  fcgi @2.4.0_3 (active)
  fftw-3 @3.3.8_0 (active)
  fontconfig @2.13.1_0 (active)
  freetype @2.10.1_0 (active)
  gdal @3.0.2_0+odbc+postgresql10 (active)
  gdbm @1.18.1_1 (active)
  geos @3.8.0_0 (active)
  gettext @0.19.8.1_2 (active)
  giflib @4.2.3_0+x11 (active)
  glib2 @2.58.3_0+quartz (active)
  grass7 @7.6.1_2+postgresql10 (active)
  gsl @2.6_0 (active)
  icu @65.1_1 (active)
  jbigkit @2.1_0 (active)
  jpeg @9c_0 (active)
  json-c @0.13-20171207_1 (active)
  laszip @3.4.1_0 (active)
  lcms2 @2.9_1 (active)
  ld64 @3_1+ld64_xcode (active)
  ld64-xcode @2_1 (active)
  libarchive @3.4.0_1 (active)
  libcxx @5.0.1_4 (active)
  libedit @20191025-3.1_0 (active)
  libffi @3.2.1_0 (active)
  libgcc @2.0_2 (active)
  libgcc9 @9.2.0_1 (active)
  libgcrypt @1.8.5_0 (active)
  libgeotiff @1.5.1_0 (active)
  libgpg-error @1.36_1 (active)
  libiconv @1.16_0 (active)
  libidn2 @2.3.0_0 (active)
  liblas @1.8.1.99_1 (active)
  libmng @2.0.3_0 (active)
  libpixman @0.38.4_0 (active)
  libpng @1.6.37_0 (active)
  libpsl @0.21.0-20190419_0 (active)
  librttopo @1.1.0_0 (active)
  libtool @2.4.6_6 (active)
  libunistring @0.9.10_0 (active)
  libunwind @5.0.1_0 (active)
  libunwind-headers @5.0.1_0 (active)
  libuv @1.34.0_0 (active)
  libxml2 @2.9.10_0 (active)
  libxslt @1.1.34_1 (active)
  lz4 @1.9.2_0 (active)
  lzo2 @2.10_0 (active)
  m4 @1.4.18_2 (active)
  ncurses @6.1_0 (active)
  nosetests_select @0.1_0 (active)
  nspr @4.24_0 (active)
  nss @3.48_0 (active)
  OpenBLAS @0.3.7_0+gcc9+lapack (active)
  openjpeg @2.3.1_0 (active)
  openssl @1.1.1d_0 (active)
  ossp-uuid @1.6.2_11+perl5_28 (active)
  pcre @8.43_0 (active)
  PDAL @2.0.1_0 (active)
  perl5.28 @5.28.2_0 (active)
  pip_select @0.1_1 (active)
  pkgconfig @0.29.2_0 (active)
  postgis2 @2.5.3_0+postgresql10+raster+topology (active)
  postgresql10 @10.11_0 (active)
  postgresql_select @0.4_0 (active)
  proj @5.2.0_0 (active)
  proj4 @4.9.3_0 (active)
  proj6 @6.2.1_0 (active)
  py27-certifi @2019.11.28_0 (active)
  py27-chardet @3.0.4_1 (active)
  py27-cython @0.29.13_0 (active)
  py27-dateutil @2.8.1_0 (active)
  py27-future @0.18.2_0 (active)
  py27-gdal @3.0.1_0 (active)
  py27-idna @2.8_0 (active)
  py27-jinja2 @2.10.3_0 (active)
  py27-markupsafe @1.1.1_0 (active)
  py27-nose @1.3.7_1 (active)
  py27-numpy @1.16.4_0+gfortran+openblas (active)
  py27-olefile @0.46_0 (active)
  py27-Pillow @6.2.1_0 (active)
  py27-pip @19.3.1_0 (active)
  py27-psycopg2 @2.8.4_0+postgresql10 (active)
  py27-pyqt4 @4.12.1_2 (active)
  py27-pysal @1.14.4_0 (active)
  py27-qscintilla-qt4 @2.11.2_0 (active)
  py27-requests @2.22.0_0 (active)
  py27-scipy @1.2.2_1+gfortran+openblas (active)
  py27-setuptools @41.6.0_0 (active)
  py27-shapely @1.6.4_0 (active)
  py27-sip @4.19.19_0 (active)
  py27-six @1.13.0_0 (active)
  py27-spatialite @3.0.1_6 (active)
  py27-tkinter @2.7.17_0 (active)
  py27-tz @2019.3_0 (active)
  py27-urllib3 @1.25.7_0 (active)
  python2_select @0.0_3 (active)
  python27 @2.7.17_0 (active)
  python_select @0.3_8 (active)
  qca @2.2.1_4 (active)
  qca-ossl @2.2.1_1 (active)
  qhull @2019.1_0 (active)
  qjson @0.9.0_0 (active)
  qscintilla-qt4 @2.11.2_0 (active)
  qt4-mac @4.8.7_9 (active)
  qt4-mac-sqlite3-plugin @4.8.7_1 (active)
  qwt61 @6.1.3_0+qt4 (active)
  readline @8.0.000_0 (active)
  spatialindex @1.8.5_0 (active)
  spatialite @4.99.0_1 (active)
  sqlite3 @3.30.1_0 (active)
  sqlite3-tcl @3.30.1_0 (active)
  tcl @8.6.9_2+corefoundation+threads (active)
  tiff @4.1.0_0 (active)
  tk @8.6.9_2+quartz (active)
  unixODBC @2.3.7_1 (active)
  webp @1.0.3_0 (active)
  xorg-libice @1.0.10_0 (active)
  xorg-libpthread-stubs @0.4_0 (active)
  xorg-libsm @1.2.3_0 (active)
  xorg-libX11 @1.6.9_0 (active)
  xorg-libXau @1.0.9_0 (active)
  xorg-libxcb @1.13.1_0+python37 (active)
  xorg-libXdmcp @1.1.3_0 (active)
  xorg-libXext @1.3.4_0 (active)
  xorg-xcb-proto @1.13_2+python37 (active)
  xorg-xcb-util @0.4.0_1 (active)
  xorg-xorgproto @2019.2_0 (active)
  xrender @0.9.10_1 (active)
  xz @5.2.4_0 (active)
  zlib @1.2.11_0 (active)
  zstd @1.4.4_0 (active)

Attachments (1)

qgis-main.log (659.8 KB) - added by M-Rick 10 months ago.

Download all attachments as: .zip

Change History (5)

Changed 10 months ago by M-Rick

Attachment: qgis-main.log added

comment:1 Changed 10 months ago by jmroot (Joshua Root)

Cc: Veence removed
Keywords: QGIS removed
Owner: set to Veence
Port: qgis added; QGIS 2.18.17 removed
Status: newassigned
Summary: Cannot build QGIS2 on MacOS X 10.14qgis @2.18.17 build failure

comment:2 Changed 10 months ago by Veence (Vincent)

Is there still any need for QGis 2? This is so outdated I was considering removing it.

comment:3 Changed 10 months ago by M-Rick

Well

Yes, unfortunately, it is still heavy used in many companies.

comment:4 Changed 10 months ago by fvaccari

Also, QGis 3 can't be installed on older systems.

And, on the matter, I currently am facing a failure to configure QGis 2 on a 10.6.8 system, due to an error that looks the same as #52444

...
...
:info:configure -- Found QCA: /opt/local/libexec/qt4/lib/libqca.dylib (2.2.1)
:info:configure 2019-12-31 11:18:10.332 sw_vers[87032:903] CFPreferences: user home directory at file://localhost/opt/local/var/macports/home/ is unavailable. User domains will be volatile.
:info:configure CMake Error at cmake/QCAMacros.cmake:64 (message):
:info:configure   QCA OpenSSL plugin not found (run-time/unit-test dependency)
:info:configure Call Stack (most recent call first):
:info:configure   CMakeLists.txt:331 (FIND_QCAOSSL_PLUGIN_CPP)
:info:configure -- Configuring incomplete, errors occurred!

Should I ask to reopen that ticket, or file a new one about this configure issue?

Note: See TracTickets for help on using tickets.